
import httpx


async def get_link(client: httpx.AsyncClient, linkid: int)->httpx.Response:
    """
    GET https://api.chouti.com/links/show.json?id={linkid}
    """
    assert isinstance(linkid, int)

    url = f"https://api.chouti.com/links/show.json?id={linkid}"
    r = await client.get(url)
    return r
