import secrets


XIAOMI_MODELS = [
    "M2001J2E",
    "M1810E5GG",
    "2304FPN6DG",
    "23127PN0CC",
]

XIAOMI_BUILD_NUMBERS = [
    "SKQ1.220303.001",
    "SKQ1.211019.001",
    "TKQ1.220905.001",
    "TKQ1.231108.001",
    "SKQ1.240105.001",
    "SKQ1.240201.001"
]

def new_mi_device():
    manufactor = "Xiaomi"
    brand = "Xiaomi"
    model = secrets.choice(XIAOMI_MODELS)
    buildNumber = secrets.choice(XIAOMI_BUILD_NUMBERS)
    return (manufactor, brand, model, buildNumber)

def new_app_device():
    manufactor, brand, model, buildNumber = new_mi_device()
    UA = f"chouti/4.1.1/channel_xiaomi (Dalvik/2.1.0 (Linux; U; Android {secrets.choice([9,10,11,12,13])}; {model} Build/{buildNumber}))"
    return UA